
Name:           python-cryptography
Version:        1.5.3
Release:        %mkrel 1
Summary:        PyCA's cryptography library

Group:          Development/Python
License:        ASL 2.0 or BSD
URL:            https://cryptography.io/en/latest/
Source0:        https://pypi.io/packages/source/c/cryptography/cryptography-%{version}.tar.gz

BuildRequires:  openssl-devel
BuildRequires:  python-enum34
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-cffi >= 0.8
BuildRequires:  python-six
BuildRequires:  python-cryptography-vectors = %{version}
BuildRequires:  python-pyasn1
BuildRequires:  python-iso8601
BuildRequires:  python-pretend
BuildRequires:  python-pytest
BuildRequires:  python-ipaddress
BuildRequires:  python-idna
BuildRequires:  python-pyasn1-modules
BuildRequires:  python-hypothesis
BuildRequires:  pythonegg(2)(pytz)

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cffi >= 0.8
BuildRequires:  python3-six
BuildRequires:  python3-cryptography-vectors = %{version}
BuildRequires:  python3-pyasn1
BuildRequires:  python3-iso8601
BuildRequires:  python3-pretend
BuildRequires:  python3-pytest
BuildRequires:  pythonegg(3)(pytz)

Requires:       openssl
Requires:       python-enum34
Requires:       python-cffi >= 0.8
Requires:       python-six >= 1.6.1

%description
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.


%package -n  python3-cryptography
Group:          Development/Python
Summary:        PyCA's cryptography library

Requires:       openssl
Requires:       python3-cffi >= 0.8
Requires:       python3-six >= 1.6.1

%description -n python3-cryptography
cryptography is a package designed to expose cryptographic primitives and
recipes to Python developers.


%prep
%setup -q -n cryptography-%{version}

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!/usr/bin/python|#!%{__python3}|'


%build
%py2_build

pushd %{py3dir}
%py3_build
popd


%install
# Actually other *.c and *.h are appropriate
# see https://github.com/pyca/cryptography/issues/1463
find . -name .keep -print -delete

%py2_install

pushd %{py3dir}
%py3_install
popd


%check
%{__python2} setup.py test


%files
%doc README.rst docs
%license LICENSE LICENSE.APACHE LICENSE.BSD
%{python2_sitearch}/*


%files -n python3-cryptography
%doc README.rst docs
%license LICENSE LICENSE.APACHE LICENSE.BSD
%{python3_sitearch}/*



%changelog
* Fri Nov 11 2016 philippem <philippem> 1.5.3-1.mga6
+ Revision: 1066348
- update to 1.5.3, fix CVE-2016-9243 mga#19736

* Fri Oct 28 2016 philippem <philippem> 1.5.2-1.mga6
+ Revision: 1063822
- add BR on pytz
- update to 1.5.2

* Tue May 17 2016 philippem <philippem> 1.3.2-1.mga6
+ Revision: 1016543
- update to 1.3.2

* Sun Apr 10 2016 philippem <philippem> 1.3.1-1.mga6
+ Revision: 1000033
- update to 1.3.1

* Sat Mar 05 2016 philippem <philippem> 1.2.3-1.mga6
+ Revision: 986120
- update to 1.2.3
- update to 1.2.3

  + umeabot <umeabot>
    - Rebuild for openssl

* Sat Feb 13 2016 philippem <philippem> 1.2.2-1.mga6
+ Revision: 959785
- update to 1.2.2

* Fri Dec 04 2015 philippem <philippem> 1.1.1-1.mga6
+ Revision: 908237
- add BR for tests, disable python3 tests
- update to 1.1.1

* Thu Oct 29 2015 philippem <philippem> 1.1-1.mga6
+ Revision: 896476
- update to 1.1

* Sun Oct 11 2015 philippem <philippem> 1.0.2-1.mga6
+ Revision: 889682
- update to 1.0.2

* Thu Oct 08 2015 tv <tv> 1.0.1-2.mga6
+ Revision: 887747
- rebuild for python 3.5

* Thu Sep 24 2015 philippem <philippem> 1.0.1-1.mga6
+ Revision: 883390
- update to 1.0.1

* Sun Mar 08 2015 philippem <philippem> 0.7.2-1.mga5
+ Revision: 818107
- imported package python-cryptography

